OGRE: Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::GpuProgramParameters::AutoConstantDefinition Struct Reference

Structure defining an auto constant that's available for use in a parameters object. More...

`#include <OgreGpuProgramParams.h>`

List of all members.

## Public Member Functions
| AutoConstantDefinition (AutoConstantType _acType, const String &_name, size_t _elementCount, ElementType _elementType, ACDataType _dataType)
## Public Attributes
AutoConstantType | acType
String | name
size_t | elementCount
ElementType | elementType
| The type of the constant in the program.
ACDataType | dataType
| The type of any extra data.

## Detailed Description

Structure defining an auto constant that's available for use in a parameters object.

Definition at line 1054 of file OgreGpuProgramParams.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantDefinition::AutoConstantDefinition | ( | AutoConstantType | _acType,
|  | const String & | _name,
|  | size_t | _elementCount,
|  | ElementType | _elementType,
|  | ACDataType | _dataType |
| ) |  |  |

Definition at line 1064 of file OgreGpuProgramParams.h.

## Member Data Documentation

AutoConstantType Ogre::GpuProgramParameters::AutoConstantDefinition::acType

Definition at line 1056 of file OgreGpuProgramParams.h.

ACDataType Ogre::GpuProgramParameters::AutoConstantDefinition::dataType

The type of any extra data.

Definition at line 1062 of file OgreGpuProgramParams.h.

size_t Ogre::GpuProgramParameters::AutoConstantDefinition::elementCount

Definition at line 1058 of file OgreGpuProgramParams.h.

ElementType Ogre::GpuProgramParameters::AutoConstantDefinition::elementType

The type of the constant in the program.

Definition at line 1060 of file OgreGpuProgramParams.h.

String Ogre::GpuProgramParameters::AutoConstantDefinition::name

Definition at line 1057 of file OgreGpuProgramParams.h.

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55